Package org.bukkit.block.data.type

# Interface NoteBlock

All Superinterfaces:
  `BlockData`, `Cloneable`, `Powerable`

public interface NoteBlock extends Powerable
'instrument' is the type of sound made when this note block is activated.
'note' is the specified tuned pitch that the instrument will be played in.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Instrument`
`getInstrument()`
Gets the value of the 'instrument' property.
`@NotNull Note`
`getNote()`
Gets the value of the 'note' property.
`void`
`setInstrument(@NotNull Instrument instrument)`
Sets the value of the 'instrument' property.
`void`
`setNote(@NotNull Note note)`
Sets the value of the 'note' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

## Method Details

### getInstrument

@NotNull @NotNull Instrument getInstrument()
Gets the value of the 'instrument' property.

Returns:
  the 'instrument' value

### setInstrument

void setInstrument(@NotNull @NotNull Instrument instrument)
Sets the value of the 'instrument' property.

Parameters:
  `instrument` - the new 'instrument' value

### getNote

@NotNull @NotNull Note getNote()
Gets the value of the 'note' property.

Returns:
  the 'note' value

### setNote

void setNote(@NotNull @NotNull Note note)
Sets the value of the 'note' property.

Parameters:
  `note` - the new 'note' value